## ros-indigo-carl-bot 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_bot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-carl-bot (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-bot (0.0.33-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.32-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.31-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.30-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.29-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.28-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.27-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.26-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.25-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.24-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.23-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.22-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.21-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.20-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.19-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.18-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.17-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-bot (0.0.16-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-bot (0.0.15-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-bot (0.0.14-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-bot (0.0.13-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000

ros-indigo-carl-bot (0.0.12-0trusty) trusty; urgency=high

  * cleanup of cmake
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-carl-bot (0.0.11-0trusty) trusty; urgency=high

  * Fixed bug in IM where menu hover could cause pickup commands, added IM frontend and launch, updated joystick and keyboard teleop to use angular commands for finger commands so that fingers can be controlled even when the arm is in/near singularities, and updated metapackage manifest
  * Updated transform between asus mount and asus; added carl_tools for miscellaneous packages, currently including calibration for the asus camera transform.
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-bot (0.0.10-0trusty) trusty; urgency=high

  * deleted everything
  * intial commit from rail computer
  * Contributors: Peter

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-bot (0.0.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.6-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-carl-bot (0.0.1-0trusty) trusty; urgency=high

  * revert changelogs
  * changelog updated
  * READMEs and Travis build
  * minor cleanup
  * Pulled in new teleop code
  * Moved carl_navigation from carl_bot package to its own package
  * carl teleop cleanup
  * cleanup of metapackage
  * Created package for carl navigation.
  * Fixed missing EOF new lines
  * Created carl_bringup package.
  * Contributors: Russell Toris, Steven Kordell

 -- Russell Toris <rctoris@wpi.edu>  Fri, 15 Aug 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-carl-bot
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/carl_bot
Standards-Version: 3.9.2

Package: ros-indigo-carl-bot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-carl-bringup, ros-indigo-carl-description, ros-indigo-carl-dynamixel, ros-indigo-carl-interactive-manipulation, ros-indigo-carl-phidgets, ros-indigo-carl-teleop, ros-indigo-carl-tools
Description: Metapackage for CARL (Crowdsourcing for Autonomous Robot Learning) Robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-bot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
